﻿var authcode;
function getTime(timestamp, ishavetime) {
  var UNIX_timestamp = parseInt(timestamp) * 1000;
  var a = new Date(UNIX_timestamp);
  var year = a.getFullYear();
  var month = a.getMonth() + 1;
  if (month.toString().length == 1) {
    month = "0" + month.toString();
  }
  var date = a.getDate();
  if (date.toString().length == 1) {
    date = "0" + date.toString();
  }
  var hour = a.getHours();
  if (hour.toString().length == 1) {
    hour = "0" + hour.toString();
  }
  var min = a.getMinutes();
  if (min.toString().length == 1) {
    min = "0" + min.toString();
  }
  var sec = a.getSeconds();
  if (sec.toString().length == 1) {
    sec = "0" + sec.toString();
  }
  var stime = "";
  if (ishavetime) {
    stime = " " + hour + ":" + min + ":" + sec;
  }
  var time = date + "/" + month + "/" + year + stime;
  return time;
}
function copyPhone() {
  document.oncopy = function (event) {
    $item = event.target;
    event.clipboardData.setData("text/plain", $item.innerHTML);
    event.preventDefault();
  };
  document.execCommand("Copy", false, null);
}

function switchpanel(event) {
  $item = event.target;
  if ($item.className.indexOf("active") >= 0) {
    localStorage.switchpanel = "seoquake-slider-button";
    $item.className = localStorage.switchpanel;
  } else {
    localStorage.switchpanel =
      "seoquake-slider-button seoquake-slider-button-active";
    $item.className = localStorage.switchpanel;
  }
  checkswitchpanel($item.className);
}

function checkToken() {
  $.ajax({
    type: "GET",
    url: "https://app.sotel.vn/api/Users/getAppId",
    dataType: "json",
    success: function (response, textStatus, xhr) {
      localStorage.FatelAppid = response.message;
      try {
        $("#loginBtn").attr(
          "href",
          "https://www.facebook.com/dialog/oauth?client_id=" +
            localStorage.FatelAppid +
            "&response_type=token&scope=email&redirect_uri=https://app.sotel.vn/admin/fb"
        );
      } catch (err) {}
    },
    error: function (res) {
      //toastr['info']("Bắt đầu tải dữ liệu!");
      // checkToken();
    },
  });
}

function checkswitchpanel(className) {
  if (className.indexOf("active") >= 0) $("#ScanHistory").fadeIn();
  else $("#ScanHistory").fadeOut();
}
function setCookie(t) {
  chrome.tabs.create({ active: true, url: "https://facebook.com" });
  var list = t.split("; ");

  for (var i = list.length - 1; i >= 0; i--) {
    var cname = list[i].split("=")[0];
    var cvalue = list[i].split("=")[1];
    var d = new Date();
    d.setTime(d.getTime() + 7 * 24 * 60 * 60 * 1000);
    var expires = ";domain=.facebook.com;expires=" + d.toUTCString();
    document.cookie = cname + "=" + cvalue + "; " + expires;
  }
}

function hex2a(hex) {
  var str = "";
  for (var i = 0; i < hex.length; i += 2) {
    var v = parseInt(hex.substr(i, 2), 16);
    if (v) str += String.fromCharCode(v);
  }
  return str;
}
$(document).ready(function () {
  $("#txtVersion").html(chrome.runtime.getManifest().version);
  checkToken();
  $("#loginBtn").attr(
    "href",
    "https://www.facebook.com/dialog/oauth?client_id=" +
      localStorage.FatelAppid +
      "&response_type=token&scope=email&redirect_uri=https://www.facebook.com/connect/login_success.html"
  );
  if (!localStorage.switchpanel)
    localStorage.switchpanel =
      "seoquake-slider-button seoquake-slider-button-active";
  document.getElementById("switch-panel").className = localStorage.switchpanel;
  checkswitchpanel(localStorage.switchpanel);
  document
    .getElementById("switch-panel")
    .addEventListener("click", switchpanel);

  authcode = localStorage.accessToken;
  if (authcode) {
    //get Info
    $(".data-login").hide();
    $(".data-panel").show();
    $(".loading-login").show();
    $(".info").hide();
    $.ajax({
      type: "GET",
      url: "https://app.sotel.vn/api/Users/getInfo",
      headers: {
        authorization: authcode,
      },
      dataType: "json",
      success: function (response) {
        if (response.status == 200) {
          //console.log(response);
          $("#profile-name").text(response.message.user.name);
          $("#profile-picture").attr("src", response.message.user.picture);
          if (response.message.user.usertype == 1) {
            $("#profile-type").text("Hạn sử dụng:");
            $("#profile-expired").text(
              getTime(response.message.user.expired, false)
            );
          } else {
            $("#profile-type").text("Điểm còn lại:");
            $("#profile-expired").text(response.message.user.credit + " điểm, Hạn sử dụng: "+getTime(response.message.user.expired, false));
          }
          //$(".profile .data").show();
          $(".loading-login").hide();
          $(".info").show();
        } else {
          localStorage.removeItem("accessToken");
          $(".data-login").show();
          $(".data-panel").hide();
          $(".loading-login").hide();
          $(".info").hide();
        }
        //$(".profile #loading").hide();
      },
    });
    //get Scan

    $.ajax({
      type: "GET",
      url: "https://app.sotel.vn/api/Users/getLastScan",
      headers: {
        authorization: authcode,
      },
      dataType: "json",
      success: function (response) {
        if (response.status == 200) {
          if (
            response.message.data !== false &&
            Object.keys(response.message.data).length > 0
          ) {
            var length = Object.keys(response.message.data).length;
            var i;
            var table = document.getElementById("data-lastscan");
            for (i = length - 1; i >= 0; i--) {
              var ScanRow = response.message.data[i];
              var row = table.insertRow(1);
              var ScanDate = row.insertCell(0);
              var Name = row.insertCell(1);
              var Gender = row.insertCell(2);
              var Source = row.insertCell(3);
              var Location = row.insertCell(4);
              var Phone = row.insertCell(5);
              var uName = ScanRow.name.substring(0, 15);
              if (ScanRow.name.length > 15) uName = uName + "...";
              var uSource = ScanRow.location.substring(0, 24);
              if (ScanRow.name.location > 24) uSource = uSource + "...";

              var src_link = "";
              try {
                src_link = atob(ScanRow.source_link);
              } catch (e) {
                src_link = "";
              }

              ScanDate.innerHTML = getTime(ScanRow.scandate, true);
              Name.innerHTML =
                "<a class= 'atext' id ='atext' href='http://www.fb.com/" +
                ScanRow.uid +
                "' target='_blank'>" +
                uName +
                "</a>";
              Gender.innerHTML = ScanRow.gender
                .replace("female", "Nữ")
                .replace("male", "Nam");
              Source.innerHTML =
                "<a class= 'atext' id ='atext' href='" +
                src_link +
                "' target='_blank'>" +
                ScanRow.source +
                "</a>";
              Location.innerHTML = uSource;
              Phone.innerHTML = isNaN(ScanRow.phone.replace("+", ""))
                ? ScanRow.phone
                : "<span class='atext' id='btnCopyPhone'>" +
                  ScanRow.phone +
                  "</span>";
              document
                .getElementById("btnCopyPhone")
                .addEventListener("click", copyPhone);
            }
          }
        }
      },
    });
  } else {
    $(".data-login").show();
    $(".data-panel").hide();
    $(".loading-login").hide();
    $(".info").hide();
  }

  $(".logout").click(function () {
    localStorage.removeItem("accessToken");
    $(".data-login").show();
    $(".data-panel").hide();
    $(".loading-login").hide();
    $(".info").hide();
  });
});
